{
  "namespace": "iron_chests",

  "title_label": {
    "type": "label",
    "offset": [ 7, 0 ],
    "anchor_from": "top_left",
    "anchor_to": "top_left",
    "text": "$container_title",
    "color": "$title_text_color",
    "layer": 4
  },

   "chest_grid_item@common.container_item": {
    "ignored": false,
    "$item_collection_name": "container_items",
    "size": [18, 18]
  },

  "stone_chest_grid": {
    "type": "grid",
    "size": [ 162, 36 ],
    "anchor_from": "top_left",
    "anchor_to": "top_left",
    "grid_dimensions": [ 9, 2 ],
    "grid_item_template": "iron_chests.chest_grid_item",
    "collection_name": "container_items"
  },

  "copper_chest_grid": {
    "type": "grid",
    "size": [ 162, 90 ],
    "anchor_from": "top_left",
    "anchor_to": "top_left",
    "grid_dimensions": [ 9, 5 ],
    "grid_item_template": "iron_chests.chest_grid_item",
    "collection_name": "container_items"
  },
  
  "iron_chest_grid": {
    "type": "grid",
    "size": [ 162, 108 ],
    "anchor_from": "top_left",
    "anchor_to": "top_left",
    "grid_dimensions": [ 9, 6 ],
    "grid_item_template": "iron_chests.chest_grid_item",
    "collection_name": "container_items"
  },

  "gold_chest_grid": {
    "type": "grid",
    "size": [ 162, 162 ],
    "anchor_from": "top_left",
    "anchor_to": "top_left",
    "grid_dimensions": [ 9, 9 ],
    "grid_item_template": "iron_chests.chest_grid_item",
    "collection_name": "container_items"
  },

  "diamond_chest_grid": {
    "type": "grid",
    "size": [ 216, 162 ],
    "anchor_from": "top_left",
    "anchor_to": "top_left",
    "grid_dimensions": [ 12, 9 ],
    "grid_item_template": "iron_chests.chest_grid_item",
    "collection_name": "container_items"
  },

  "dirt_chest_grid": {
    "type": "grid",
    "size": [ 18, 18 ],
    "anchor_from": "top_left",
    "anchor_to": "top_left",
    "grid_dimensions": [ 1, 1 ],
    "grid_item_template": "iron_chests.chest_grid_item",
    "collection_name": "container_items"
  },

  "stone_chest_panel_top_half": {
    "type": "panel",
    "size": [ "100%", 132 ],
    "offset": [ 0, 11 ],
    "anchor_to": "top_left",
    "anchor_from": "top_left",
    "controls": [
      { "title_label@iron_chests.title_label": {
        "offset": [ 7, -1]
      } },
      {
        "large_chest_grid@iron_chests.stone_chest_grid": {
          "offset": [ 7, 9 ]
        }
      }
    ]
  },

  "copper_chest_panel_top_half": {
    "type": "panel",
    "size": [ "100%", "50%" ],
    "offset": [ 0, 11 ],
    "anchor_to": "top_left",
    "anchor_from": "top_left",
    "controls": [
      { "title_label@iron_chests.title_label": {
        "offset": [ 6, -3]
      } },
      {
        "large_chest_grid@iron_chests.copper_chest_grid": {
          "offset": [ 7, 9 ]
        }
      }
    ]
  },

  "iron_chest_panel_top_half": {
    "type": "panel",
    "size": [ "100%", 132 ],
    "offset": [ 0, 11 ],
    "anchor_to": "top_left",
    "anchor_from": "top_left",
    "controls": [
      { "title_label@iron_chests.title_label": {} },
      {
        "large_chest_grid@iron_chests.iron_chest_grid": {
          "offset": [ 7, 10 ]
        }
      }
    ]
  },

  "gold_chest_panel_top_half": {
    "type": "panel",
    "size": [ "100%", 132 ],
    "offset": [ 0, 11 ],
    "anchor_to": "top_left",
    "anchor_from": "top_left",
    "controls": [
      { "title_label@iron_chests.title_label": {} },
      {
        "large_chest_grid@iron_chests.gold_chest_grid": {
          "offset": [ 7, 10 ]
        }
      }
    ]
  },

  "diamond_chest_panel_top_half": {
    "type": "panel",
    "size": [ "100%", 132 ],
    "offset": [ 0, 11 ],
    "anchor_to": "top_left",
    "anchor_from": "top_left",
    "controls": [
      { "title_label@iron_chests.title_label": {} },
      {
        "large_chest_grid@iron_chests.diamond_chest_grid": {
          "offset": [ 7, 10 ]
        }
      }
    ]
  },

  "dirt_chest_panel_top_half": {
    "type": "panel",
    "size": [ "100%", 132 ],
    "offset": [ 0, 11 ],
    "anchor_to": "top_left",
    "anchor_from": "top_left",
    "controls": [
      { "title_label@iron_chests.title_label": {
        "offset": [ 6, -6]
      } },
      {
        "large_chest_grid@iron_chests.dirt_chest_grid": {
          "offset": [ 79, 8 ]
        }
      }
    ]
  }

}